org.apache.ode.bpel.pmapi

## Interface GetCommunication

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    GetCommunicationImpl

      public interface GetCommunication
      extends org.apache.xmlbeans.XmlObject

  An XML GetCommunication(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `GetCommunication.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIid(long iid)` Appends the value as the last "iid" element
    `org.apache.xmlbeans.XmlLong` | `addNewIid()` Appends and returns a new empty value (as xml) as the last "iid" element
    `long[]` | `getIidArray()` Deprecated.
    `long` | `getIidArray(int i)` Gets ith "iid" element
    `java.util.List<java.lang.Long>` | `getIidList()` Gets a List of "iid" elements
    `void` | `insertIid(int i, long iid)` Inserts the value as the ith "iid" element
    `org.apache.xmlbeans.XmlLong` | `insertNewIid(int i)` Inserts and returns a new empty value (as xml) as the ith "iid" element
    `void` | `removeIid(int i)` Removes the ith "iid" element
    `void` | `setIidArray(int i, long iid)` Sets ith "iid" element
    `void` | `setIidArray(long[] iidArray)` Sets array of all "iid" element
    `int` | `sizeOfIidArray()` Returns number of "iid" element
    `org.apache.xmlbeans.XmlLong[]` | `xgetIidArray()` Deprecated.
    `org.apache.xmlbeans.XmlLong` | `xgetIidArray(int i)` Gets (as xml) ith "iid" element
    `java.util.List<org.apache.xmlbeans.XmlLong>` | `xgetIidList()` Gets (as xml) a List of "iid" elements
    `void` | `xsetIidArray(int i, org.apache.xmlbeans.XmlLong iid)` Sets (as xml) ith "iid" element
    `void` | `xsetIidArray(org.apache.xmlbeans.XmlLong[] iidArray)` Sets (as xml) array of all "iid" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getIidList

          java.util.List<java.lang.Long> getIidList()

      Gets a List of "iid" elements

    - #### getIidArray

          @Deprecated
          long[] getIidArray()

      Deprecated.
      Gets array of all "iid" elements

    - #### getIidArray

          long getIidArray(int i)

      Gets ith "iid" element

    - #### xgetIidList

          java.util.List<org.apache.xmlbeans.XmlLong> xgetIidList()

      Gets (as xml) a List of "iid" elements

    - #### xgetIidArray

          @Deprecated
          org.apache.xmlbeans.XmlLong[] xgetIidArray()

      Deprecated.
      Gets (as xml) array of all "iid" elements

    - #### xgetIidArray

          org.apache.xmlbeans.XmlLong xgetIidArray(int i)

      Gets (as xml) ith "iid" element

    - #### sizeOfIidArray

          int sizeOfIidArray()

      Returns number of "iid" element

    - #### setIidArray

          void setIidArray(long[] iidArray)

      Sets array of all "iid" element

    - #### setIidArray

          void setIidArray(int i,
                         long iid)

      Sets ith "iid" element

    - #### xsetIidArray

          void xsetIidArray(org.apache.xmlbeans.XmlLong[] iidArray)

      Sets (as xml) array of all "iid" element

    - #### xsetIidArray

          void xsetIidArray(int i,
                          org.apache.xmlbeans.XmlLong iid)

      Sets (as xml) ith "iid" element

    - #### insertIid

          void insertIid(int i,
                       long iid)

      Inserts the value as the ith "iid" element

    - #### addIid

          void addIid(long iid)

      Appends the value as the last "iid" element

    - #### insertNewIid

          org.apache.xmlbeans.XmlLong insertNewIid(int i)

      Inserts and returns a new empty value (as xml) as the ith "iid" element

    - #### addNewIid

          org.apache.xmlbeans.XmlLong addNewIid()

      Appends and returns a new empty value (as xml) as the last "iid" element

    - #### removeIid

          void removeIid(int i)

      Removes the ith "iid" element